oracle.pgx.api

## Class PgxPath.PathIterator<E>

- java.lang.Object
- - oracle.pgx.api.PgxPath.PathIterator<E>

- Type Parameters:
    `E` -
  All Implemented Interfaces:
    Iterator<E>, ListIterator<E>
  Enclosing class:
    PgxPath<ID extends Comparable<ID>>

      public abstract static class PgxPath.PathIterator<E>
      extends Object
      implements ListIterator<E>

  A read-only `ListIterator` with an additional `reset()` method to start over iteration.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E e)`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `E` | `next()`
    `int` | `nextIndex()`
    `E` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `reset()` Resets the iterator
    `void` | `set(E e)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public void add(E e)

      Specified by:
        `add` in interface `ListIterator<E>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`
      Specified by:
        `hasNext` in interface `ListIterator<E>`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `ListIterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`
      Specified by:
        `next` in interface `ListIterator<E>`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `ListIterator<E>`

    - #### previous

          public E previous()

      Specified by:
        `previous` in interface `ListIterator<E>`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `ListIterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`
      Specified by:
        `remove` in interface `ListIterator<E>`

    - #### reset

          public void reset()

      Resets the iterator

    - #### set

          public void set(E e)

      Specified by:
        `set` in interface `ListIterator<E>`

Copyright © 2015. All rights reserved.